Skip to content
WP Engine Documentation

Get the offload settings for an install

GET
/installs/{install_id}/offload_settings/files
curl --request GET \
--url https://api.wpengineapi.com/v1/installs/example/offload_settings/files \
--header 'Authorization: Basic <credentials>'

Returns the offload settings configuration for a specific install

install_id
required
string format: uuid

ID of install

LargeFS offload settings configuration

Media type application/json
object
largefs_settings
object
cloud
string
Allowed values: s3
bucket
string
bucket_region
string
path_settings
Array<object>
object
path
string
excluded_paths
Array<string>
redirect_type
string
Allowed values: break permanent
Example
{
"largefs_settings": {
"cloud": "s3",
"path_settings": [
{
"redirect_type": "break"
}
]
}
}

Authentication Error

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Bad Credentials"
}

Not authorized

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "You don't have permission to perform that action"
}

Not found

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Not Found"
}

Too many requests

Media type application/json

Service unavailable

Media type application/json